/**
 * @file      raw_save_wnd_define.h
 * @brief     Header for RawSaveWnd class definition
 * @author    Vision Processing Community
 * @copyright 2016 Vision Processing Community. All rights reserved.
 */
#ifndef _RAW_SAVE_WND_DEFINE
#define _RAW_SAVE_WND_DEFINE

/* Identification ID of UI.*/
#define kWndId 90000
#define kStaticTextOutputId 10000
#define kComboBoxOutputId 10001
#define kStaticTextFileId 10002
#define kTextCtrlFileId 10003
#define kButtonFileDialogId 10004
#define kButtonSaveId 10005

/* Raw save window definition*/
#define kWndPointX 30
#define kWndPointY 30
#define kWndSizeW 340
#define kWndSizeH 130

/* Output static text definition*/
#define kStaticTextSensorName "[Sensor]"
#define kStaticTextOutputPointX 20
#define kStaticTextOutputPointY 10
#define kStaticTextOutputSizeW 120
#define kStaticTextOutputSizeH 20

/* Output combo box definition*/
#define kComboBoxOutputPointX 30
#define kComboBoxOutputPointY 30
#define kComboBoxOutputSizeW 300
#define kComboBoxOutputSizeH 40

/* File static text definition*/
#define kStaticTextFileName "[File path]"
#define kStaticTextFilePointX 20
#define kStaticTextFilePointY 80
#define kStaticTextFileSizeW 120
#define kStaticTextFileSizeH 20

/* File text ctrl definition*/
#define kTextCtrlFilePointX 20
#define kTextCtrlFilePointY 100
#define kTextCtrlFileSizeW 400
#define kTextCtrlFileSizeH 40

/* File dialog button definition*/
#define kButtonFileDialogName "Save..."
#define kButtonFileDialogPointX 240
#define kButtonFileDialogPointY 80
#define kButtonFileDialogSizeW 80
#define kButtonFileDialogSizeH 40

/* Save button definition*/
#define kButtonSaveName "save"
#define kButtonSavePointX 400
#define kButtonSavePointY 150
#define kButtonSaveSizeW 80
#define kButtonSaveSizeH 40

#define kRawSaveWndTitle "Raw save"

#endif /* _RAW_SAVE_WND_DEFINE*/
